geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ken <kagr...@p2security.net>
Subject Re: [jira] Commented: (GERONIMO-3054) org.apache.geronimo.util.jce.X509V1CertificateGenerator appears to be deprecated with no replacement
Date Tue, 03 Apr 2007 12:49:40 GMT
Matt, thanks very much for your reply.

There may be an issue, with importing a PKCS7 key and its cert chain, 
but before I brought it up I wanted to make sure I had the latest 
(read: not deprecated) file.  Was this a clean pull from Bouncy 
Castle?  I can't tell because it is packaged with the org.apache 
namespace instead of the org.bouncycastle namespace.  I'm guessing 
you guys just did a refactor to change the namespace?  The latest 
BouncyCastle release has 
org.bouncycastle.x509.X509V1CertificateGenerator, which seems to be correct...

-Ken

At 08:19 AM 4/3/2007, you wrote:

>     [ 
> https://issues.apache.org/jira/browse/GERONIMO-3054?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#action_12486338

> ]
>
>Matt Hogstrom commented on GERONIMO-3054:
>-----------------------------------------
>
>Many of these files came from Bouncy Castle.  We had to break them 
>apart as there was an issue with the Bouncy Castle jars shipping a 
>ptented algorithm.  If you simply need the file you can go to 
>www.bouncycastle.org.  If not, is there some function that is not 
>working as intended in Geornimo?
>
> > org.apache.geronimo.util.jce.X509V1CertificateGenerator appears 
> to be deprecated with no replacement
> > 
> ----------------------------------------------------------------------------------------------------
> >
> >                 Key: GERONIMO-3054
> >                 URL: https://issues.apache.org/jira/browse/GERONIMO-3054
> >             Project: Geronimo
> >          Issue Type: Bug
> >      Security Level: public(Regular issues)
> >    Affects Versions: 1.1.1
> >         Environment: All
> >            Reporter: Ken
> >            Priority: Minor
> >
> > Hello, all.  I am looking at the source code for several files, 
> and one of them, 
> org.apache.geronimo.util.jce.X509V1CertificateGenerator has the 
> following tag & notice:
> > /**
> >  * class to produce an X.509 Version 1 certificate.
> >  *
> >  * @deprecated use the equivalent class in org.apache.geronimo.util.x509
> >  */
> > I (think I) have looked everywhere for a package named x509 under 
> util, or even a reference to when/how/why/to what it was changed, 
> but can't seem to find one.  Where is this "replacement" class that 
> is mentioned in the deprecation?
>
>--
>This message is automatically generated by JIRA.
>-
>You can reply to this email to add a comment to the issue online.


Mime
View raw message